Summary: Tomcat servlet container and JavaServer Pages(tm) implementation
Name: tomcat
Version: 3.3.1
Release: 1
Copyright: Apache Software License
Distribution: LXPRO.COM
Vendor: LXPRO.COM
URL: http://jakarta.apache.org/tomcat/
Group: System Environment/Daemons
Packager: Gregory E. Bailey <gbailey@lxpro.com>
Requires: IBMJava2-SDK webserver
Source0: http://jakarta.apache.org/builds/jakarta-tomcat/release/v3.3.1/bin/jakarta-tomcat-3.3.1.tar.gz
Source1: mod_jk.conf
Source2: workers.properties
Source3: tomcat.logrotate
Source4: tomcat.init
Source5: jspc
Source6: tomcat
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: IBMJava2-SDK apache-devel

%description
Tomcat is a servlet container and JavaServer Pages(tm) implementation.  It may
be used stand alone, or in conjunction with several popular web servers:
- Apache, version 1.3 or later
- Microsoft Internet Information Server, version 4.0 or later
- Microsoft Personal Web Server, version 4.0 or later
- Netscape Enterprise Server, version 3.0 or later

You should read the License Agreement (in the LICENSE file of the top level
directory), which applies to all software included in this release.

%prep
%setup -n jakarta-tomcat-%{version}

%build
pushd native/mod_jk/apache1.3
JAVA_HOME=/opt/IBMJava2-13 make -f Makefile.linux
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf
cp -a %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/conf/.
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/httpd/conf/.
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
cp -a %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/tomcat
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
cp -a %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/tomcat
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp -a %{SOURCE5} $RPM_BUILD_ROOT/usr/bin/.
cp -a %{SOURCE6} $RPM_BUILD_ROOT/usr/bin/.
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
cp native/mod_jk/apache1.3/mod_jk.so $RPM_BUILD_ROOT/usr/lib/apache/.
mkdir -p $RPM_BUILD_ROOT/var/tomcat
cp -a bin $RPM_BUILD_ROOT/var/tomcat/.
cp -a conf $RPM_BUILD_ROOT/var/tomcat/.
cp -a lib $RPM_BUILD_ROOT/var/tomcat/.
cp -a logs $RPM_BUILD_ROOT/var/tomcat/.
cp -a modules $RPM_BUILD_ROOT/var/tomcat/.
cp -a webapps $RPM_BUILD_ROOT/var/tomcat/.
mkdir -p $RPM_BUILD_ROOT/var/tomcat/work

# Now that the /var/tomcat directory hierarchy is set up,
# delete unnecessary (Windows) stuff...

rm $RPM_BUILD_ROOT/var/tomcat/bin/*.bat

# Clean up README files in the /var/tomcat/lib hierarchy,
# because the "env" subcommand will include them in the
# $CLASSPATH.

rm $RPM_BUILD_ROOT/var/tomcat/lib/apps/README
rm $RPM_BUILD_ROOT/var/tomcat/lib/common/README
rm $RPM_BUILD_ROOT/var/tomcat/lib/container/README

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/useradd -r -d /var/tomcat -s /bin/bash \
    -c "Tomcat" -u 90 tomcat > /dev/null 2>&1 || :

%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add tomcat
fi

%preun
if [ $1 = 0 ]; then
    if [ -f /var/lock/subsys/tomcat ]; then
        /etc/rc.d/init.d/tomcat stop
    fi
    /sbin/chkconfig --del tomcat
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service tomcat restart >/dev/null 2>&1 || :
fi
if [ $1 = 0 ] ; then
    userdel tomcat >/dev/null 2>&1 || :
    groupdel tomcat >/dev/null 2>&1 || : 
fi

%files
                         %doc    KEYS LICENSE doc/*
                         %config /etc/httpd/conf/mod_jk.conf
                         %config /etc/httpd/conf/workers.properties
                                 /etc/logrotate.d/tomcat
                                 /etc/rc.d/init.d/tomcat
                                 /usr/bin/jspc
                                 /usr/bin/tomcat
                                 /usr/lib/apache/mod_jk.so
                         %dir    /var/tomcat
                                 /var/tomcat/bin
%attr(-, tomcat, tomcat) %config /var/tomcat/conf
                                 /var/tomcat/lib
%attr(-, tomcat, tomcat)         /var/tomcat/logs
                                 /var/tomcat/modules
%attr(-, tomcat, tomcat)         /var/tomcat/webapps
%attr(-, tomcat, tomcat)         /var/tomcat/work

%changelog
* Wed Apr  3 2002 Gregory E. Bailey <gbailey@lxpro.com>
- Updated for Tomcat 3.3.1

* Fri Nov 16 2001 Gregory E. Bailey <gbailey@lxpro.com>
- Initial release
